## crochet 1.0.0

=== DESCRIPTION ===
Package: crochet
Version: 1.0.0
License: MIT + file LICENSE
Title: Implementation Helper for [ and [<- Of Custom Matrix-Like Types
Description: Functions to help implement the extraction / subsetting / indexing
    function [ and replacement function [<- of custom matrix-like types (based
    on S3, S4, etc.), modeled as closely to the base matrix class as possible
    (with tests to prove it).
Authors@R: person("Alexander", "Grueneberg", email = "alexander.grueneberg@googlemail.com", role = c("aut", "cre"))
URL: https://github.com/agrueneberg/crochet
BugReports: https://github.com/agrueneberg/crochet/issues
Imports: methods
Suggests: testthat
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2017-05-05 22:44:52 UTC; agrueneberg
Author: Alexander Grueneberg [aut, cre]
Maintainer: Alexander Grueneberg <alexander.grueneberg@googlemail.com>
Repository: CRAN
Date/Publication: 2017-05-06 05:20:30 UTC

=== debian/changelog ===
crochet (1.0.0-0ubuntu2) trusty; urgency=low

  * debian/rules: Run unittests.
  * debian/patches/ubuntu_fix_tests.patch: Fix tests.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 11 Feb 2014 11:25:56 -0500

crochet (1.0.0-0ubuntu1) trusty; urgency=low

  * Initial release

 -- Gavin Panella <gavin.panella@canonical.com>  Thu, 30 Jan 2014 12:12:21 -0500

=== debian/control ===
Source: crochet
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: MAAS Maintainers <maas-devel@lists.launchpad.net>
Build-Depends: debhelper (>= 8.1.0~),
               python (>= 2.7),
               python-setuptools,
               python-twisted
Standards-Version: 3.9.4
Homepage: https://pypi.python.org/pypi/crochet
X-Python-Version: >= 2.7

Package: python-crochet
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-twisted
Description: Use Twisted Anywhere!
 Crochet is an MIT-licensed library that makes it easier for blocking or
 threaded applications like Flask or Django to use the Twisted
 networking framework. Crochet provides the following features:
 .
  * Runs Twisted's reactor in a thread it manages.
  * The reactor shuts down automatically when the process' main thread
    finishes.
  * Hooks up Twisted's log system to the Python standard library logging
    framework. Unlike Twisted's built-in logging bridge, this includes
    support for blocking Handler instances.
  * A blocking API to eventual results (i.e. Deferred instances). This
    last feature can be used separately, so Crochet is also useful for
    normal Twisted applications that use threads.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_auto_test:
	python -m unittest discover crochet/tests

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/c/crochet/crochet-(.+).tar.gz

## crochet 1.4.0

=== debian/changelog ===
crochet (1.4.0-0ubuntu2) xenial; urgency=medium

  * debian/control: Depends on python3-twisted instead of
    python3-twisted-experimental.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 15 Dec 2015 11:43:47 -0500

crochet (1.4.0-0ubuntu1) xenial; urgency=medium

  * New upstream release
  * Build with python3
  * debian/patches/ubuntu_fix_tests.patch: Updated. Add new fixes to tests.
  * debian/watch: update.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 06 Nov 2015 16:55:21 +0000

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,17 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: MAAS Maintainers <maas-devel@lists.launchpad.net>
 Build-Depends: debhelper (>= 8.1.0~),
+               dh-python,
                python (>= 2.7),
                python-setuptools,
-               python-twisted
+               python-twisted,
+               python3,
+               python3-setuptools,
+               python3-twisted
 Standards-Version: 3.9.4
 Homepage: https://pypi.python.org/pypi/crochet
 X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.3
 
 Package: python-crochet
 Architecture: all
@@ -30,3 +35,23 @@
   * A blocking API to eventual results (i.e. Deferred instances). This
     last feature can be used separately, so Crochet is also useful for
     normal Twisted applications that use threads.
+
+Package: python3-crochet
+Architecture: all
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         python3-twisted
+Description: Use Twisted Anywhere! (Python 3)
+ Crochet is an MIT-licensed library that makes it easier for blocking or
+ threaded applications like Flask or Django to use the Twisted
+ networking framework. Crochet provides the following features:
+ .
+  * Runs Twisted's reactor in a thread it manages.
+  * The reactor shuts down automatically when the process' main thread
+    finishes.
+  * Hooks up Twisted's log system to the Python standard library logging
+    framework. Unlike Twisted's built-in logging bridge, this includes
+    support for blocking Handler instances.
+  * A blocking API to eventual results (i.e. Deferred instances). This
+    last feature can be used separately, so Crochet is also useful for
+    normal Twisted applications that use threads.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export PYBUILD_NAME = crochet

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	python -m unittest discover crochet/tests

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/crochet/crochet-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## crochet 2.0.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: crochet
-Version: 1.0.0
+Version: 2.0.0
 License: MIT + file LICENSE
 Title: Implementation Helper for [ and [<- Of Custom Matrix-Like Types
 Description: Functions to help implement the extraction / subsetting / indexing
@@ -13,8 +13,8 @@
 Suggests: testthat
 RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2017-05-05 22:44:52 UTC; agrueneberg
+Packaged: 2018-01-03 16:04:55 UTC; agrueneberg
 Author: Alexander Grueneberg [aut, cre]
 Maintainer: Alexander Grueneberg <alexander.grueneberg@googlemail.com>
 Repository: CRAN
-Date/Publication: 2017-05-06 05:20:30 UTC
+Date/Publication: 2018-01-03 17:38:53 UTC

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Crochet.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Crochet.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Crochet"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Crochet"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
crochet (2.0.0-2) unstable; urgency=medium

  * d/control: Update my email.
  * d/control: Bump Standards-Version to 4.6.0.

 -- Sergio de Almeida Cipriano Junior <sergiosacj@riseup.net>  Thu, 02 Dec 2021 21:42:36 -0300

crochet (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0.
  * d/patches: Add async example in patch 0001 to fix lintian
    'example-unusual-interpreter' by changing python shebang to python3.

 -- Sergio de Almeida Cipriano Junior <sergiosacj@protonmail.com>  Thu, 19 Aug 2021 21:26:40 -0300

crochet (1.12.0-1) experimental; urgency=medium

  * Initial release (Closes: #986715).

 -- Sergio de Almeida Cipriano Junior <sergiosacj@protonmail.com>  Sat, 10 Apr 2021 12:01:12 -0300

=== debian/control ===
Source: crochet
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Sergio de Almeida Cipriano Junior <sergiosacj@riseup.net>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-setuptools,
               python3-all,
               python3-twisted,
               python3-wrapt,
Standards-Version: 4.6.0
Homepage: https://github.com/itamarst/crochet
Vcs-Browser: https://salsa.debian.org/python-team/packages/crochet
Vcs-Git: https://salsa.debian.org/python-team/packages/crochet.git
Rules-Requires-Root: no

Package: python3-crochet
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Description: Library that makes it easier to use Twisted from regular blocking code
 Crochet is a library that makes it easier to use Twisted from regular blocking
 code. Some use cases include:
 .
 Easily use Twisted from a blocking framework like Django or Flask.
 .
 Write a library that provides a blocking API, but uses Twisted for
 its implementation.
 .
 Port blocking code to Twisted more easily, by keeping a backwards
 compatibility layer.
 .
 Allow normal Twisted programs that use threads to interact with
 Twisted more cleanly from their threaded parts. For example, this
 can be useful when using Twisted as a WSGI container.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

export PYBUILD_NAME=crochet

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/crochet/crochet-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## crochet 2.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: crochet
-Version: 2.0.0
+Version: 2.0.1
 License: MIT + file LICENSE
 Title: Implementation Helper for [ and [<- Of Custom Matrix-Like Types
 Description: Functions to help implement the extraction / subsetting / indexing
@@ -13,8 +13,8 @@
 Suggests: testthat
 RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2018-01-03 16:04:55 UTC; agrueneberg
+Packaged: 2018-01-08 12:39:09 UTC; agrueneberg
 Author: Alexander Grueneberg [aut, cre]
 Maintainer: Alexander Grueneberg <alexander.grueneberg@googlemail.com>
 Repository: CRAN
-Date/Publication: 2018-01-03 17:38:53 UTC
+Date/Publication: 2018-01-08 14:04:39 UTC

## crochet 2.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: crochet
-Version: 2.0.1
+Version: 2.1.0
 License: MIT + file LICENSE
 Title: Implementation Helper for [ and [<- Of Custom Matrix-Like Types
 Description: Functions to help implement the extraction / subsetting / indexing
@@ -10,11 +10,12 @@
 URL: https://github.com/agrueneberg/crochet
 BugReports: https://github.com/agrueneberg/crochet/issues
 Imports: methods
-Suggests: testthat
-RoxygenNote: 6.0.1
+Suggests: testthat, covr
+RoxygenNote: 6.1.0
+Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2018-01-08 12:39:09 UTC; agrueneberg
+Packaged: 2018-08-06 15:26:06 UTC; agrueneberg
 Author: Alexander Grueneberg [aut, cre]
 Maintainer: Alexander Grueneberg <alexander.grueneberg@googlemail.com>
 Repository: CRAN
-Date/Publication: 2018-01-08 14:04:39 UTC
+Date/Publication: 2018-08-06 15:40:08 UTC

## crochet 2.1.1

=== debian/changelog ===
crochet (2.1.1-2) unstable; urgency=medium

  * Team upload.
  * Replace SafeConfigParser deprecated in Python3.12
    Closes: #1058098

 -- Andreas Tille <tille@debian.org>  Wed, 10 Jan 2024 08:50:50 +0100

crochet (2.1.1-1) unstable; urgency=medium

  * New upstream version 2.1.1.
  * d/control: Bump Standards-Version to 4.6.2, no changes needed.
  * d/rules: Fix FTBFS after successful build (Closes: #1044332).

 -- Sergio de Almeida Cipriano Junior <sergiosacj@riseup.net>  Thu, 07 Sep 2023 07:46:35 -0300

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-all,
                python3-twisted,
                python3-wrapt,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/itamarst/crochet
 Vcs-Browser: https://salsa.debian.org/python-team/packages/crochet
 Vcs-Git: https://salsa.debian.org/python-team/packages/crochet.git

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,6 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+override_dh_auto_clean:
+	rm -rf $(PACKAGE_NAME).egg-info .pybuild __pycache__

=== debian/tests/control ===
Tests: run-examples
Depends: @, python3-twisted, python3-flask
Restrictions: needs-internet

## crochet 2.2.0

=== DESCRIPTION ===
Package: crochet
Version: 2.2.0
License: MIT + file LICENSE
Title: Implementation Helper for '[' and '[<-' of Custom Matrix-Like
        Types
Description: Functions to help implement the extraction / subsetting / indexing
    function '[' and replacement function '[<-' of custom matrix-like types
    (based on S3, S4, etc.), modeled as closely to the base matrix class as
    possible (with tests to prove it).
Authors@R: person("Alexander", "Grueneberg", email = "alexander.grueneberg@googlemail.com", role = c("aut", "cre"))
URL: https://github.com/agrueneberg/crochet
BugReports: https://github.com/agrueneberg/crochet/issues
Depends: R (>= 3.0.0)
Imports: methods
Suggests: testthat (>= 2.1.0), knitr, rmarkdown
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2019-06-13 18:11:30 UTC; agrueneberg
Author: Alexander Grueneberg [aut, cre]
Maintainer: Alexander Grueneberg <alexander.grueneberg@googlemail.com>
Repository: CRAN
Date/Publication: 2019-06-13 18:50:34 UTC

## crochet 2.3.0

=== DESCRIPTION ===
Package: crochet
Version: 2.3.0
License: MIT + file LICENSE
Title: Implementation Helper for '[' and '[<-' of Custom Matrix-Like
        Types
Description: Functions to help implement the extraction / subsetting / indexing
    function '[' and replacement function '[<-' of custom matrix-like types
    (based on S3, S4, etc.), modeled as closely to the base matrix class as
    possible (with tests to prove it).
Authors@R: person("Alexander", "Grueneberg", email = "cran@agrueneberg.info", role = c("aut", "cre"))
URL: https://github.com/agrueneberg/crochet
BugReports: https://github.com/agrueneberg/crochet/issues
Depends: R (>= 3.0.0)
Imports: methods
Suggests: tinytest, knitr, rmarkdown
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2020-05-19 21:15:31 UTC; agrueneberg
Author: Alexander Grueneberg [aut, cre]
Maintainer: Alexander Grueneberg <cran@agrueneberg.info>
Repository: CRAN
Date/Publication: 2020-05-20 22:40:02 UTC
